Subject: Re: bug#8653: 24.0.50; `M-x grep' output converts `~' to /cygdrive/c/...

From: Andy Moreton <[email-masked]>
Date: Thu, 12 May 2011 15:34:14 +0100

On Thu 12 May 2011, Drew Adams wrote:

>> I use cygwin-mount and don't see this problem.
>> 
>>  Make sure HOME is set in the Windows environment before 
>> launching emacs (e.g. HOME=C:\home\ajm),
>
> It is.  HOME=C:\

That's not a good choice (see below)

>> that Cygwin is installed correctly at C:\cygwin,
> It is.  (But is that location really required, for Cygwin itself to
> work?)

No, but it's the standard approach and removes another source of problems.

>> and that the Cygwin mount table is correct (in my case with
>> /home mounted at C:\home).
>
> Dunno how to check that.  In bash, cd $HOME and cd ~ take me to /cygdrive/c, if
> that helps.

Try running 'mount'

> FWIW, I am using an old version of Cygwin, having heard of various problems that
> some Emacs users with more recent versions.

You really should upgrade. If you have Win95/98/Me then you are stuck
with the unsupported cygwin 1.5, but otherwise you really should upgrade
to Cygwin 1.7. The installer will cope with an upgrade from 1.5, or you
can just delete it all and start afresh.

Cygwin1.7 works just fine with Win32 emacs.

> No, I don't have any details about the reported problems or which versions of
> Cygwin.  Just take it as given that I'm not about to change Cygwin versions
> anytime soon.  If there is no problem here with a more recent Cygwin build, then
> that's good news and we can close this bug.

The problem is your setup - using C:\ as HOME is not a good idea. If you
want to shorten the reported paths, add a mount point "/c" mounted at "C:\".

Reading the fine manual for the details:
- Cygwin 1.7 (current)  http://cygwin.com/cygwin-ug-net/cygwin-ug-net.html
- Cygwin 1.5 (obsolete) http://cygwin.com/1.5/cygwin-ug-net/index.html

> FWIW - My Cygwin version dates from 2006.  I don't see any README file or doc
> and I cannot find how to determine the version #.  No, I didn't try googling
> etc.

A minimal effort would have found that you need to run 'cygcheck'.

    AndyM